Description

With moving from trac needed some more macros for linking issues back to wiki pages to show queue sizes, new tickets waiting in a
area etc. issue_list Lists Issues matching a list of given parameters

'{{issue_list (tracker,category, status,user,max) }}

issue_count, Count number of issues matching a set of filters (tracker,owner,category,status currently supported as filters)
'{{issue_count (tracker=xxx, category=xxx, status=xxxx) }}

issue_query: Same as issues_count be returns lists and not single count

!'{{issue_query (tracker=ddddé&category=dsdd&status=dddd&owner=ssss&max=10) }}

Also with more of wiki pages across had problems with lose of TitleIndex function so re-implement this for redmine. | Have added
ability to create a number of styles of list.

title_list: Inserts an alphabetic list of all wiki pages into the output. Appears as a unordered list
{{title_list (title-prefix) }}

title_menu: Inserts an alphabetic menu (toc style) of all wiki pages into the output. This uses the toc css to produce a nice side menu
to link groups of pages together.

{{title_menu(title-prefix,level,max,css—-sytle) }}

title_bar: Inserts an alphabetic menu of all wiki pages into the output. This is basically aimed a across the screen menu with details
menu currently styled as a table to our old trac navigation.

'{{title_bar (title-prefix, level,max,css—-sytle) }}

title_index: title_index boxed up titles by letter to create a glossary or index. Use this for generation of a glossary and for larger
indexes of pages.

'{{title_menu(title-prefix,columns,max) }}

Related issues:
Related to Redmine - Feature #1226: query results on wiki pages New 2008-05-12

History

#1 - 2008-07-28 18:34 - Robert Shell
Have a update of trac loader rake task to follow, just have a few more conversions to automate. Just dealing with n x trac to 1 redmine issues with
ticket numbers.

#2 - 2008-11-08 16:33 - Robert Shell

- File macros.rb added

Enhanged and fixes a number of the marcos.
#3 - 2008-11-08 17:00 - Karl Heinz Marbaise
Hi Robert,

take a look at #2114.

Kind regards
Karl Heinz Marbaise

#4 - 2011-12-05 10:20 - Etienne Massip

- Subject changed from Support for extra macors to aid in move from trac to Support for extra macros to help in move from trac

Files

macros_patch.patch 14.2 KB 2008-07-28 Robert Shell
macros.rb 16.8 KB 2008-07-28 Robert Shell
macros.rb 16.7 KB 2008-11-08 Robert Shell

2025-08-23 22


https://www.redmine.org/issues/2114
http://www.tcpdf.org

